LNT on pypy and documentation build

Hi,

working on the LNT documentation I am wondering about a few things:

- LNT documentation recommends to do `easy_install lnt==0.4.2dev` (in the install box on the left side of the title page). The last available version of LNT on pypy is version 0.4.0 from 2012. Are there plans to keep this up to date or should we better remove the entry and not mention pypy packages anymore?

- Building the documentation always fails with:
$ sphinx-build docs/ /tmp/lntdocs
Running Sphinx v1.5.2
...
/Users/mbraun/dev/lnt/docs/profiles.rst:101: WARNING: autodoc: failed to import class 'ProfileImpl' from module 'lnt.testing.profile.profile'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/site-packages/sphinx/ext/autodoc.py", line 551, in import_object
    __import__(self.modname)
  File "/Users/mbraun/dev/lnt/lnt/testing/profile/__init__.py", line 3, in <module>
    from profilev1impl import ProfileV1
ImportError: No module named 'profilev1impl'
/Users/mbraun/dev/lnt/docs/profiles.rst:106: WARNING: autodoc: failed to import module 'lnt.testing.profile.profilev1impl'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/site-packages/sphinx/ext/autodoc.py", line 551, in import_object
    __import__(self.modname)
  File "/Users/mbraun/dev/lnt/lnt/testing/profile/__init__.py", line 3, in <module>
    from profilev1impl import ProfileV1
ImportError: No module named 'profilev1impl'

Do I need special flags?

- Matthias

Yep, we should pull that package down, or start to update it.

The docs builds work for me. Is it possible that is not in your venv or something like that?

I’d be fine pulling the pypi (sic) entry, shall I make it so?

  • Daniel

I’d be fine pulling the pypi (sic) entry, shall I make it so?

I also think it’s best to remove it from pypi, since we’re not keeping it up-to-date.

I updated the docs to show a pip/svn install like this:

pip install svn+http://llvm.org/svn/llvm-project/lnt/trunk

LNT has been removed from PyPI.

  • Daniel

Thank you Daniel!